%define url_ver %(echo %{version}|cut -d. -f1,2)

%define _disable_ld_no_undefined 1
%define build_python 0

Summary:	Small but powerful text editor for GNOME
Name:		gedit
Version:	3.22.1
Release:	1
License:	GPLv2+
Group:		Editors
Url:		http://www.gnome.org/projects/gedit/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gedit/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	python-gi
BuildRequires:	vala-tools
BuildRequires:	attr-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(enchant)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.11.2
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sm)
%if %{with python}
BuildRequires:	pkgconfig(pygobject-3.0)
%endif
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(x11)
Obsoletes:	%{_lib}gedit-private0 < 3.4.2
Obsoletes:	%{name}-zeitgeist < 3.15.91

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%files -f %{name}.lang
%doc README AUTHORS NEWS MAINTAINERS
%{_bindir}/*
%{_datadir}/dbus-1/services/org.gnome.gedit.service
%{_datadir}/GConf/gsettings/gedit.*
%{_datadir}/gedit
%{_datadir}/appdata/org.gnome.gedit.appdata.xml
%{_datadir}/applications/org.gnome.gedit.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.enums.xml
%{_iconsdir}/hicolor/*/apps/gedit.*
%{_iconsdir}/hicolor/*/apps/gedit-symbolic.*
%{_mandir}/man1/gedit.1*
%{_libdir}/gedit/gedit-bugreport.sh
%{_libdir}/gedit/girepository-1.0/Gedit-3.0.typelib
%{_libdir}/gedit/plugins/libdocinfo.so
%{_libdir}/gedit/plugins/docinfo.plugin
%{_libdir}/gedit/plugins/filebrowser.plugin
%{_libdir}/gedit/plugins/libfilebrowser.so
%{_libdir}/gedit/plugins/modelines.plugin
%{_libdir}/gedit/plugins/libmodelines.so
%{_libdir}/gedit/plugins/sort.plugin
%{_libdir}/gedit/plugins/libsort.so
%{_libdir}/gedit/plugins/spell.plugin
%{_libdir}/gedit/plugins/libspell.so
%{_libdir}/gedit/plugins/time.plugin
%{_libdir}/gedit/plugins/libtime.so
%{_libdir}/gedit/libgedit.so
%if %{with python}
%{python_sitearch}/gi/overrides/Gedit.*
%{_libdir}/gedit/plugins/externaltools/*
%{_libdir}/gedit/plugins/externaltools.plugin
%{_libdir}/gedit/plugins/pythonconsole/*
%{_libdir}/gedit/plugins/pythonconsole.plugin
%{_libdir}/gedit/plugins/quickopen/*
%{_libdir}/gedit/plugins/quickopen.plugin
%{_libdir}/gedit/plugins/snippets/*
%{_libdir}/gedit/plugins/snippets.plugin
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.pythonconsole.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.externaltools.gschema.xml
%endif

#----------------------------------------------------------------------------

%package devel
Summary:	Headers for writing gEdit plugins
Group:		Development/C
Obsoletes:	%{_lib}gedit-private-devel < 3.4.2

%description devel
Install this if you want to build plugins that use gEdit's API.

%files devel
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/vala/vapi/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-gtk-doc \
%if %{with python}
	--enable-python \
%else
	--disable-python \
%endif
	--enable-introspection \
	--disable-updater \
	--enable-gvfs-metadata

%make LIBS='-lm'

%install
%makeinstall_std

%find_lang %{name} --with-gnome


%changelog

* Tue Aug 22 2017 dsilakov <denis.silakov@rosalab.ru> 3.22.1-1
- (3088dce) Merge pull request #1 from vladimir71/gedit:rosa2016.1
- (3088dce) gedit


